<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: scope_set.php
| Title: Horoszkp Inf
| Version: 1.00
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../../maincore.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!iMEMBER) {redirect("index.php");}

if (!checkrights("CPOE") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("index.php"); }

require_once THEMES."templates/admin_header.php";

include_once INFUSIONS."horoszkop_inf_panel/infusion_db.php";

if (file_exists(INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."horoszkop_inf_panel/locale/Hungarian.php";
}



require_once INFUSIONS."horoszkop_inf_panel/admin/upgrade.php";
require_once INFUSIONS."horoszkop_inf_panel/admin/menu.php";


if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['ad_set00'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['ad_set01'];
	} elseif ($_GET['error'] == 2) {
		$message = $locale['ad_set02'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
	}
}



if (isset($_POST['saves_config'])) {

	if (isset($_POST['active'])) {
		$active = stripinput($_POST['active']);
	} else {
		$active = "";
	}

	if (isset($_POST['hscope'])) {
		$hscope = stripinput($_POST['hscope']);
	} else {
		$hscope = "";
	}

	if (isset($_POST['hccolor'])) {
		$hccolor = stripinput($_POST['hccolor']);
	} else {
		$hccolor = "";
	}

	if (isset($_POST['fsize'])) {
		$fsize = stripinput($_POST['fsize']);
	} else {
		$fsize = "";
	}

	if (isset($_POST['access'])) {
		$access = stripinput($_POST['access']);
	} else {
		$access = "";
	}

	if (isset($_POST['menu'])) {
		$menu = stripinput($_POST['menu']);
	} else {
		$menu = "";
	}
	
	if (isset($_POST['bux'])) {
		$bux = stripinput($_POST['bux']);
	} else {
		$bux = "";
	}

	$error = "";
	if ($active == "" || $hscope == "" || $hccolor == "" || $fsize == "" || $access == "" || $menu == "" || $bux == "") {
		$error = "2";
	}

	if ($error == "") {

		$update = dbquery("UPDATE ".DB_HOROSZKOP_CONFIG." SET hc_active='".$active."', hc_hscope='".$hscope."', hc_color='".$hccolor."', hc_fsize='".$fsize."', hc_access='".$access."', hc_menu='".$menu."', hc_bux='".$bux."' WHERE hc_id='1' ");

		if ($update) { $error = "0"; }
		if (!$update) { $error = "1"; }
		redirect(FUSION_SELF.$aidlink."&amp;error=".$error);

	} else {
		redirect(FUSION_SELF.$aidlink."&amp;error=".$error);
	}

}

#
$active_check1 = Array("","");
$active_check2 = Array("","");
if ($ConHsc['hc_active'] == '1') {
	$active_check1[1] = "checked='checked'";
} else {
	$active_check2[1] = "checked='checked'";
}
##

#
$menu_option = ""; $sel1 = ""; $menu_array = array("", "3", "4", "6", "12");
foreach ($menu_array as $key1 => $value1) {
	if ($key1 != 0) {
		$sel1 = ($ConHsc['hc_menu'] == $value1 ? " selected='selected'" : "");
		$menu_option .= "<option value='".$value1."'$sel1>".$value1."</option>\n";
	}
}
##

#
$hscope_option = ""; $sel2 = ""; $hscope_array = array("", "Napi", "Heti");
foreach ($hscope_array as $key2 => $value2) {
	if ($key2 != 0) {
		$sel2 = ($ConHsc['hc_hscope'] == $key2 ? " selected='selected'" : "");
		$hscope_option .= "<option value='".$key2."'$sel2>".$value2."</option>\n";
	}
}
##

#
add_to_head("<script type='text/javascript' src='".INFUSIONS."horoszkop_inf_panel/includes/js/jscolor/jscolor.js'></script>\n");
##

#
$fsize_option = ""; $sel3 = "";
for ($a=10;$a<=20;$a++) {
	$sel3 = ($ConHsc['hc_fsize'] == $a ? " selected='selected'" : "");
	$fsize_option .= "<option value='".$a."'$sel3>".$a." px</option>\n";
}
##

#
$user_groups = getusergroups(); $access_option = ""; $sel4 = "";
while(list($key4, $user_group) = each($user_groups)){
	$sel4 = ($ConHsc['hc_access'] == $user_group['0'] ? " selected='selected'" : "");
	$access_option .= "<option value='".$user_group['0']."'$sel4>".$user_group['1']."</option>\n";
}
##

#
$active_checks1 = Array("","");
$active_checks2 = Array("","");
if ($ConHsc['hc_bux'] == '1') {
	$active_checks1[1] = "checked='checked'";
} else {
	$active_checks2[1] = "checked='checked'";
}
##


opentable($locale['ad_set06']);

	echo "<form name='config_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";

		echo "<table cellpadding='0' cellspacing='0' width='600' align='center' border='0'>\n";
			echo "<tbody>\n";

				echo "<tr>\n";

					echo "<td align='right' class='tbl2' style='width:200px;'>Horoszkp szolgltats:</td>\n";
					echo "<td align='left' class='tbl2' style='width:160px;'>";
						echo "&nbsp;&nbsp;<label><img src='".INFUSIONS."horoszkop_inf_panel/images/aktiv.png' border='0' alt='Be' title='Be' />&nbsp;<input type='radio' ".$active_check1[1]." value='1' name='active' /></label>";
						echo "&nbsp;&nbsp;<label><img src='".INFUSIONS."horoszkop_inf_panel/images/inaktiv.png' border='0' alt='Ki' title='Ki' />&nbsp;<input type='radio' ".$active_check2[1]." value='0' name='active' /></label>";
					echo "</td>\n";
					echo "<td align='left' class='tbl2' style='width:200px;'></td>\n";

				echo "</tr>\n<tr>\n";

					echo "<td align='right' class='tbl' style='width:200px;'>Horoszkp men:</td>\n";
					echo "<td align='center' class='tbl' style='width:160px;'>";
						echo "<select name='menu' class='textbox' style='width:150px;'>".$menu_option."</select>";
					echo "</td>\n";
					echo "<td align='left' class='tbl' style='width:200px;'>Kp soronknt.</td>\n";
				echo "</tr>\n<tr>\n";

					echo "<td align='right' class='tbl2' style='width:200px;'>Horoszkp:</td>\n";
					echo "<td align='center' class='tbl2' style='width:160px;'>";
						echo "<select name='hscope' class='textbox' style='width:150px;'>".$hscope_option."</select>";
					echo "</td>\n";
					echo "<td align='left' class='tbl2' style='width:200px;'></td>\n";
				echo "</tr>\n<tr>\n";

					echo "<td align='right' class='tbl' style='width:200px;'>Bet szn:</td>\n";
					echo "<td align='left' class='tbl' style='width:160px;'>";
						echo "&nbsp;#<input type='text' name='hccolor' value='".$ConHsc['hc_color']."' class='textbox color' style='width:135px;' />";
					echo "</td>\n";
					echo "<td align='left' class='tbl' style='width:200px;'>Lers bet szne.</td>\n";

				echo "</tr>\n<tr>\n";

					echo "<td align='right' class='tbl2' style='width:200px;'>Bet mret:</td>\n";
					echo "<td align='center' class='tbl2' style='width:155px;'>";
						echo "<select name='fsize' class='textbox' style='width:150px;'>".$fsize_option."</select>";
					echo "</td>\n";
					echo "<td align='left' class='tbl2' style='width:200px;'>Lers bet mrete.</td>\n";

				echo "</tr>\n<tr>\n";

					echo "<td align='right' class='tbl' style='width:200px;'>Horoszkp hozzfrs:</td>\n";
					echo "<td align='center' class='tbl' style='width:160px;'>";
						echo "<select name='access' class='textbox' style='width:150px;'>".$access_option."</select>";
					echo "</td>\n";
					echo "<td align='left' class='tbl' style='width:200px;'></td>\n";

				echo "</tr>\n<tr>\n";

					echo "<td align='right' class='tbl2' style='width:200px;'>Neobux hirdets:</td>\n";
					echo "<td align='left' class='tbl2' style='width:160px;'>";
						echo "&nbsp;&nbsp;<label><img src='".INFUSIONS."horoszkop_inf_panel/images/aktiv.png' border='0' alt='Be' title='Be' />&nbsp;<input type='radio' ".$active_checks1[1]." value='1' name='bux' /></label>";
						echo "&nbsp;&nbsp;<label><img src='".INFUSIONS."horoszkop_inf_panel/images/inaktiv.png' border='0' alt='Ki' title='Ki' />&nbsp;<input type='radio' ".$active_checks2[1]." value='0' name='bux' /></label>";
					echo "</td>\n";
					echo "<td align='left' class='tbl2' style='width:200px;'>Horoszkp panelben jelenik meg.</td>\n";

				echo "</tr>\n<tr>\n";

					echo "<td align='center' colspan='3' class='tbl'>";
						echo "<input type='submit' name='saves_config' value='".$locale['ad_set05']."' class='button' />\n";
					echo "</td>\n";

				echo "</tr>\n";

			echo "</tbody>\n";
		echo "</table>\n";

	echo "</form>\n";

closetable();

BltfmLicencHsc();
closetable();


require_once THEMES."templates/footer.php";

?>