<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: menu.php
| Title: Horoszkp Inf
| Version: 1.00
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!iMEMBER) {redirect("index.php");}

if (!checkrights("CPOE") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("index.php"); }

include_once INFUSIONS."horoszkop_inf_panel/infusion_db.php";

require_once INFUSIONS."horoszkop_inf_panel/includes/set.php";
require_once INFUSIONS."horoszkop_inf_panel/includes/copy.php";

if (file_exists(INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."horoszkop_inf_panel/locale/Hungarian.php";
}

if ($SetHsc['licenc'] == '0') {
	redirect(INFUSIONS."horoszkop_inf_panel/includes/licenc.php".$aidlink."");
}


opentable($locale['ad_00']);

	$admin_items = array(
		ADMIN."index.php".$aidlink."&amp;pagenum=5"                                       => $locale['ad_01'],
		INFUSIONS."horoszkop_inf_panel/admin/admin.php".$aidlink.""             => $locale['ad_00'],
		INFUSIONS."horoszkop_inf_panel/admin/hscope_set.php".$aidlink.""     => $locale['ad_02'],
		"http://www.neobux.com/m/r/?rh=426174746C6543"                               => $locale['ad_03'],
		);


	$w = intval(100 / count($admin_items));

	echo "<table class='tbl-border' cellspacing='1' cellpadding='0' width='100%'>\n";
		echo "<colgroup>\n";
			echo "<col span='".count($admin_items)."' width='".$w."%' />\n";
		echo "</colgroup>\n";
		echo "<tbody>\n";
			echo "<tr>\n";
				foreach($admin_items as $href => $title) {
					$pos = strpos($href, FUSION_SELF);
					if ($pos !== false) { $class = "tbl1"; } else { $class = "tbl2"; }
					if ($href == "http://www.neobux.com/m/v/?rh=426174746C6543") {
						$target = "target='_blank'";
					} else {
						$target = "";
					}
				echo "<td align='center' class='".$class."'><a href='".$href."' ".$target.">".$title."</a></td>\n";
				}
			echo "</tr>\n";
		echo "</tbody>\n";
	echo "</table>\n";


closetable();

?>