<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: upgrade.php
| Title: Horoszkp Inf
| Version: 1.00
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!iMEMBER) {redirect("index.php");}

if (!checkrights("CPOE") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("index.php"); }

function rmdirr($dirname) {
	if (!file_exists($dirname)) { return false; }
	if (is_file($dirname)) { return unlink($dirname); }
	$dir = dir($dirname);
	while (false !== $entry = $dir->read()) {
		if ($entry == '.' || $entry == '..') { continue; }
		rmdirr("$dirname/$entry");
	}
	$dir->close();
	return rmdir($dirname);
}

include_once INFUSIONS."horoszkop_inf_panel/infusion_db.php";

require_once INFUSIONS."horoszkop_inf_panel/admin/functions.php";
#require_once INFUSIONS."hosting_panel/includes/set.php";

if (file_exists(INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."horoszkop_inf_panel/locale/Hungarian.php";
}


if (isset($_GET['update']) && $_GET['update'] == "") {

	$query_update= dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='1.00' WHERE inf_folder='horoszkop_inf_panel'");
	$query_insert_table = dbquery("INSERT INTO ".DB_HOROSZKOP_SETTINGS." (ver) VALUES ('1.00')");

	if ($query_update && $query_insert_table) {
		redirect(FUSION_SELF.$aidlink."&amp;updone=1.00");
	} else {
		redirect(FUSION_SELF.$aidlink."&amp;updone=0");
	}

} else
if (isset($_GET['update']) && $_GET['update'] == "1.01") {

	$query_update1 = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='1.01' WHERE inf_folder='horoszkop_inf_panel' ");
	$query_update2 = dbquery("UPDATE ".DB_HOROSZKOP_SETTINGS." SET info='0', licenc='0', ver='1.01' ");
	#$alert = dbquery("ALTER TABLE ".DB_HOROSZKOP_CONFIG." ADD domain VARCHAR(20) ");

	#rmdirr("../includes/host.php");

	if ($query_update1 && $query_update2) {
	#if ($query_update1 && $query_update2 && $alert) {
		redirect(FUSION_SELF.$aidlink."&amp;updone=1.01");
	} else {
		redirect(FUSION_SELF.$aidlink."&amp;updone=0");
	}


}

$referer_version ="";

if (isset($_GET['updone']) && str_replace(".","",$_GET['updone']) > 1) {
	opentable($locale['up00']." - ".$locale['up01']."".referer_version());
	echo sprintf($locale['up02'], $_GET['updone'])."<br />\n<a href='".FUSION_SELF.$aidlink."'>".$locale['up03']."</a>";
	closetable();
} else
if (isset($_GET['updone']) && $_GET['updone'] == "0") {
	opentable($locale['up00']." - ".$locale['up01']."".referer_version());
	echo sprintf($locale['up04'] , $_GET['updone'])."<br />\n<a href='".FUSION_SELF.$aidlink."'>".$locale['up03']."</a>";
	closetable();
}


if (referer_version() == "") {
	opentable($locale['up00']." - ".$locale['up01']."".referer_version());
	echo "<b>".$locale['up05']."</b><br />\n<a href='".FUSION_SELF.$aidlink."&amp;update=1.00'>".sprintf($locale['up05a'], "v1.00")."</a>";
	closetable();
/*} else
if (referer_version() == "1.00") {
	opentable($locale['up00']." - ".$locale['up01']."".referer_version());
	echo "<b>".$locale['up05']."</b><br />\n<a href='".FUSION_SELF.$aidlink."&amp;update=1.01'>".sprintf($locale['up05a'], "v1.01")."</a>";
	closetable();
*/
} else {


	$ausgabe = "";

	opentable($locale['up00']." - ".$locale['up01']."".referer_version());

	if (ini_get('allow_url_fopen') != false) {

		$version_new = file_get_contents("http://www.bltfm.hu/upgrade/horoszkop_inf/phpfusion_horoszkop_inf.txt");

		if (preg_match("/^[0-9.]+$/", $version_new)) {

			if (version_compare($version_new, referer_version(), ">")) {

				if (!empty($version_new)) {
					$ausgabe .= "<table style=\"background-color: #FFFFFF;\">\n<tr>\n<td><img src='".IMAGES."upgrade/version_old.gif' alt='' title='' border='0' /></td>\n<td>";
					$ausgabe .= "<span style=\"font-weight: bold; color: red;\">".$locale['up07']."".referer_version()."</span></td>\n</tr>\n";
					$ausgabe .= "<tr>\n<td> </td>\n<td><span style=\"font-weight: bold; color: #1bdc16;\">".$locale['up08']."".$version_new."</span><br />\n";
					$ausgabe .= "<span style=\"font-weight: bold; \">".$locale['up09']."</span><a href='http://www.bltfm.hu/upgrade/horoszkop_inf/atiranyito.php' target='_blank' title='http://www.bltfm.hu/'><span style='font-weight: bold;'>".$locale['up09a']."</span></a>";
					$ausgabe .= "</td>\n</tr>\n</table>\n";
				}

			} else {
				$ausgabe .= "<table style=\"background-color: #FFFFFF;\">\n<tr>\n<td><img src='".IMAGES."upgrade/version.gif' alt='' title='' border='0' /></td>\n";
				$ausgabe .= "<td><span style=\"font-weight: bold; color: #1bdc16;\">".$locale['up06']."".referer_version()."</span></td>\n</tr>\n</table>\n";
			}

		} else {
			$version_new = "";
			$ausgabe .= "<table class='tbl1' style='color:red; font-weight:bold; border:1px solid #000000; backgorund-color:#ffffff; padding:4px; margin:5px; width:250px;'>\n<tr>\n<td>A verzi ellenrzs nem sikerlt!</td>\n</tr>\n<tr>\n<td>Keressd fel a fejlesztt <a href='http://www.bltfm.hu/' target='_blank' title='http://www.bltfm.hu/'><span style='font-weight: bold;'>itt</span></a></td>\n</tr>\n</table>\n";
		}

	} else {

		$ausgabe .= "<table class='tbl1' style='color:red; font-weight:bold; border:0px solid #000000; backgorund-color:#ffffff; padding:4px; margin:5px; width:600px;'>\n";
		$ausgabe .= "<tr>\n<td>".$locale['up11']."</td>\n</tr>\n";
		$ausgabe .= "<tr>\n<td><span style=\"font-weight: bold; color: red;\">".$locale['up07']."".referer_version()."</span></td>\n</tr>\n";
		$ausgabe .= "<tr>\n<td>".$locale['up06']."&nbsp;";
		$ausgabe .= "<iframe id='up' src='http://www.bltfm.hu/upgrade/horoszkop_inf/phpfusion_horoszkop_inf.txt' style='width:80px;height:40px;margin-bottom:-20px;' frameborder='0' scrolling='auto'><p>Az n bngszje nem tmogatja az iframe-t.</p></iframe>";
		$ausgabe .= "<br />\n";
		$ausgabe .= "".$locale['up12']."&nbsp;<a href=\"http://bltfm.hu/upgrade/horoszkop_inf/fsockopen_nincs.php\" target=\"_blank\" title='http://www.bltfm.hu/'><span style=\"font-weight: bold; \">".$locale['up10']."</span></a></td>\n</tr>\n</table>\n";
	}

	echo "<div align='left' style='width: 100%'>".$ausgabe."</div>\n";

	closetable();

}


?>