<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: horoszkop.php
| Title: Horoszkp Inf
| Version: 1.00
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";

if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once THEMES."templates/header.php";


include_once INFUSIONS."horoszkop_inf_panel/infusion_db.php";

require_once INFUSIONS."horoszkop_inf_panel/includes/set.php";
require_once INFUSIONS."horoszkop_inf_panel/includes/copy.php";

if (file_exists(INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."horoszkop_inf_panel/locale/Hungarian.php";
}

if (iSUPERADMIN && $SetHsc['licenc'] == '0') {
	opentable("Horoszkp Inf");
		require_once INFUSIONS."horoszkop_inf_panel/includes/copy.php";
		echo "<div style='text-align:center;'>Mg nem fogadtad el a Licenc-t.</div>";
		echo "<div style='text-align:center;'><a href='".INFUSIONS."horoszkop_inf_panel/admin/admin.php".$aidlink."'>Adminisztrci.</a></div>";
		BltfmCopyHsc();
	closetable();
} else
if (!iSUPERADMIN && $SetHsc['licenc'] == '0') {
	opentable("Horoszkp Inf");
		echo "<div style='text-align:center;'>Mg nem fogadtk el a Licenc-t a Horoszkp Inf hasznlathoz.</div>";
		BltfmCopyHsc();
	closetable();
} else {

add_to_head("<link rel='stylesheet' href='".INFUSIONS."horoszkop_inf_panel/css/scope_styles.css' type='text/css' media='screen' />\n");

$css_num = 0;
switch ($ConHsc['hc_img']) {
	case 0: $css_num = 0; break;
	case 1: $css_num = 1; break;
	case 2: $css_num = 2; break;
}
add_to_head("<link rel='stylesheet' href='".INFUSIONS."horoszkop_inf_panel/css/scope_img".$css_num."_styles.css' type='text/css' media='screen' />\n");

$hscope_name = array("", "Kos", "Bika", "Ikrek", "Rk", "Oroszln", "Szz", "Mrleg", "Skorpi", "Nyilas", "Bak", "Vznt", "Halak");
$hscope_css = array("", "kos", "bika", "ikrek", "rak", "oroszlan", "szuz", "merleg", "skorpio", "nyilas", "bak", "vizonto", "halak");
$hscope_date_d = array("", "03.21. - 04.20.", "04.21. - 05.20.", "05.21. - 06.21.", "06.22. - 07.22.", "07.23. - 08.23.", "08.24. - 09.23.", "09.24. - 10.23.", "10.24. - 11.22.", "11.23. - 12.21.", "12.22. - 01.20.", "01.21. - 02.19.", "02.20. - 03.20.");

$most = time()+$settings['timeoffset']*3600;
$ev = date("Y", $most);
$ho = date("n", $most);
$nap = date("j", $most);
$date = $ev."-".$ho."-".$nap;
$unixtime = strtotime($date);
$het_napja = date("w", $unixtime);
if($het_napja!=1) {
	$unixtime -= ($het_napja ? $het_napja-1 : 6)*86400;
}
$het_array = array();
$het_array[0] = "";
$het_array[1] = $unixtime;
$het_array[2] = $unixtime+518400;
$hscope_date_w = date("m.d.", $het_array[1])." - ".date("m.d.", $het_array[2]);

$h_eleme = array("Eleme: ", " a tz", "a fld", "a leveg", "a vz", " a tz", "a fld", "a leveg", "a vz", "a tz", "a fld", "a leveg", "a vz");
$h_stabilitasa = array("Stabilitsa: ", "kardinlis", "szilrd", "vltoz", "kardinlis", "szilrd", "vltoz", "kardinlis", "szilrd", "vltoz", "kardinlis", "szilrd", "vltoz");
$h_bolygoja = array("Bolygja: ", "a Mars", "a Vnusz", "a Merkr", "a Hold", "a Nap", "a Merkr", "a Vnusz", "a Plt s a Mars", "a Jupiter", "a Szaturnusz", "a Urnusz", "a Neptunusz s a Jupiter");
$h_polaritasa = array("Polaritsa: ", "pozitv", "negatv", "pozitv", "negatv", "pozitv", "negatv", "pozitv", "negatv", "pozitv", "negatv", "pozitv", "negatv");

$title = array("", "Napi", "Heti");

$hscope_month = array("", "januar", "februar", "marcius", "aprilis", "majus", "junius", "julius", "augusztus", "szeptember", "oktober", "november", "december");


$heti_updathoz = date("Y", $het_array[1])."-".$hscope_month[date("n", $het_array[1])]."-".date("d", $het_array[1])."-".date("Y", $het_array[2])."-".$hscope_month[date("n", $het_array[2])]."-".date("d", $het_array[2]);


$panel_title = $title[$ConHsc['hc_hscope']]." Horoszkp ".($ConHsc['hc_hscope'] == 2 ? "- ".$hscope_date_w : "");

opentable($panel_title);

	echo "<table cellpadding='0' cellspacing='0' width='100%' class='scope_table'>\n";

		echo "<tr>\n";

		$counter = 0; $columns = $ConHsc['hc_menu'];
		$menu = 1;
		while ($menu <= count($hscope_date_d)-1) {

			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }

			$ID = isset($_GET['id']) && isnum($_GET['id']) ? $_GET['id'] : "0";

			if ($menu == 5) {
				$class = "scope_name_menu_leo";
			} else
			if ($menu == 8) {
				$class = "scope_name_menu_sco";
			} else
			if ($menu == 11) {
				$class = "scope_name_menu_aqu";
			} else {
				$class = "scope_name_menu";
			}
			echo "<td align='center'>";
				echo "<a class='".($menu == $ID ? "hide_img1" : "hide_img")." scope_img_link' href='".FUSION_SELF."?id=".$menu."#".$hscope_css[$menu]."' title='".$hscope_name[$menu]."'>";
					echo "&nbsp;<span class='img_scope ".($menu == $ID ? "col_".$hscope_css[$menu]."" : "".$hscope_css[$menu]."")."'>&nbsp;</span>";
					echo "<span class='".$class."'>".$hscope_name[$menu]."</span>";
					echo ($ConHsc['hc_hscope'] == 1 ? "<span class='scope_date_desc_menu'>".$hscope_date_d[$menu]."</span>" : "");
				echo "</a>";
			echo "</td>\n";

			$menu++; $counter++;

		}

		echo "</tr>\n";

		$week_date = "";
		$week_date .= "<tr>\n";
		$week_date .= "<td align='center' colspan='".$columns."'>";
		$week_date .= "<a class='hide_img1 scope_img_link' href='#' title=''><span class='scope_date_desc_menu_w'>".$hscope_date_w."</span></a>\n";
		$week_date .= "</td>\n";
		$week_date .= "</tr>\n";
		echo ($ConHsc['hc_hscope'] == 2 ? $week_date : "");

		echo "<tr>\n";
			echo "<td align='center' colspan='".$columns."'>";
				echo "<div style='display: block; height: 3px; clear: both; visibility: hidden;'></div>\n";
				echo "<div style='width:100%;float:left;'>\n";
					echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
				echo "</div>\n";
				echo "<div style='display: block; height: 2px; clear: both; visibility: hidden;'></div>\n";
			echo "</td>\n";
		echo "</tr>\n";

	echo "</table>\n";



	if ($ConHsc['hc_active'] == 1) {

		if (checkgroup($ConHsc['hc_access'])) {

			if (!FUSION_QUERY) {
				$update = dbquery("UPDATE ".DB_HOROSZKOP_CONFIG." SET hc_view=hc_view+1 WHERE hc_id='1' ");
			}


			echo "<div style='display: block; height: 10px; clear: both; visibility: hidden;'></div>\n";


			$bar_show = 0;

			if ($ConHsc['hc_hscope'] == 1) {
				$szoveg = "Napi";
				$field = "hc_up";
				if ($ConHsc['hc_up'] == 0 || time() > $ConHsc['hc_up']) {
					$bar_show = 1;
					$scope_date = mktime(0,0,0,showdate("%m", strtotime('next day')),showdate("%d", strtotime('next day')),showdate("%Y", strtotime('next day')));
				} else {
					$bar_show = 0;
				}
			} else
			if ($ConHsc['hc_hscope'] == 2) {
				$szoveg = "Heti";
				$field = "hc_up_w";
				if ($ConHsc['hc_up_w'] == 0 || time() > $ConHsc['hc_up_w']) {
					$bar_show = 1;
					$scope_date = mktime(0,0,0,showdate("%m", strtotime('next monday')),showdate("%d", strtotime('next monday')),showdate("%Y", strtotime('next monday')));
				} else {
					$bar_show = 0;
				}
			}


			if ($bar_show == 1) {

				echo "<iframe id='iframe' src='http://www.bltfm.hu/infusions/horoszkop_inf_panel/iframe/scope_iframe.php?period=".$ConHsc['hc_hscope']."' style='width:0px;height:0px;' frameborder='0' scrolling='auto'><p>Az n bngszje nem tmogatja az iframe-t.</p></iframe>";
				$kuldo = 1;
				$kapo = 1;
				$ok = 1;
				$subject = $szoveg." Horoszkp inf adatbzis frissts.";
				if ($ok == 1) {
					$message = $szoveg." adatbzis frissts sikeres volt. (".showdate("%Y.%m.%d %H:%M", time()).")";
				} else {
					$message = $szoveg." adatbzis frissts sikertelen volt. (".showdate("%Y.%m.%d %H:%M", time()).")";
				}

				$kuld = dbquery("INSERT INTO ".DB_MESSAGES." (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES('".$kapo."', '".$kuldo."', '".$subject."', '".$message."', 'y', '0', '".time()."', '0')");
				$update = dbquery("UPDATE ".DB_HOROSZKOP_CONFIG." SET ".$field." = '".$scope_date."' ");

				$sec = 5;
				$bar_js  = "<script type='text/javascript'>\n";
				$bar_js .= "/*<![CDATA[*/\n";
				$bar_js .= "sec = $sec;";
				$bar_js .= "function Countdown() {";
				$bar_js .=	"if (sec <= 1) { window.location = '".FUSION_SELF."?up=1'; }";
				$bar_js .=	"percent = Math.round((($sec - sec) / $sec) * 100);";
				$bar_js .=	"if (percent > 100) { percent = 100; }";
				$bar_js .=	"document.getElementById('wper').width = String(percent) + '%';";
				$bar_js .=	"document.getElementById('tper').title = 'Betlts: ' + percent + '%';";
				$bar_js .=	"document.getElementById('down').innerHTML = sec--;";
				$bar_js .= "}";
				$bar_js .= "setInterval(Countdown, 1000);";
				$bar_js .= "\n/*]]>*/\n";
				$bar_js .= "</script>\n";
				add_to_head($bar_js);

				echo "<table cellpadding='0' cellspacing='0' width='100%' class='scope_table'>\n";
					echo "<tr>\n";
						echo "<td align='center'>\n";
							echo "<table cellpadding='0' cellspacing='0' style='width: 160px;text-align:center;' title='Betlts: 0' id='tper'>\n";
								echo "<tr>\n";
									echo "<td colspan='2' id='down' style='font-weight: bold;font-size:13px;text-align:center;'>&nbsp;</td>\n";
								echo "</tr>\n";
								echo "<tr>\n";
									echo "<td width='0%' id='wper' style='background-color:blue;'>&nbsp;</td>\n";
									echo "<td style='background-color: #A0A0A4' id='wper' width='100%'>&nbsp;</td>\n";
								echo "</tr>\n";
							echo "</table>\n";
						echo "</td>\n";
					echo "</tr>\n";
				echo "</table>\n";
				echo "<div style='display: block; height: 10px; clear: both; visibility: hidden;'></div>\n";

			}


			if (!isset($_GET['scope_more'])) {

				echo "<table cellpadding='0' cellspacing='0' width='100%' class='scope_table'>\n";
					echo "<tr>\n";

					$counter = 0; $columns = 1;
					$hsc = 1;
					while ($hsc <= count($hscope_date_d)-1) {

						if ($counter != 0 && ($counter % $columns == 0)) {
							if ($counter == 1) {
								$colspan = 2;
							} else {
								$colspan = $counter;
							}
							echo "</tr>\n<tr>\n<td align='center' colspan='".$colspan."'><div style='display: block; height: 10px; clear: both; visibility: hidden;'></div>\n</td>\n</tr>\n<tr>\n";
						}

						$img_date = "<a name='".$hscope_css[$hsc]."' id='".$hscope_css[$hsc]."' href='#' style='position:relative; top:-100px;'></a><a class='hide_img1' href='#top' title='Fel'><span class='img_scope1 ".($hsc == $ID ? "col_".$hscope_css[$hsc]."" : "".$hscope_css[$hsc]."")."'>&nbsp;</span><span class='".($hsc == 5 ? "scope_name_leo" : "scope_name")."'>".$hscope_name[$hsc]."</span><span class='scope_date_desc'>".($ConHsc['hc_hscope'] == 1 ? $hscope_date_d[$hsc] : $hscope_date_w)."</span></a>";

						$jellemzes = "";
						$jellemzes .= "<a class='".($hsc == $ID ? "a_link" : "hide_img")."' href='#top' title='Fel'><span class='scope_jel'>".$hscope_name[$hsc]." jellemzse</span></a>";
						$jellemzes .= "<table cellpadding='3' cellspacing='0' width='35%' border='0'>\n";
						$jellemzes .= "<tr>\n";
						$jellemzes .= "<td align='left'>".$h_eleme[0]."</td>\n";
						$jellemzes .= "<td align='right' style='white-space:nowrap;'><b>".$h_eleme[$hsc]."</b></td>\n";
						$jellemzes .= "</tr>\n";
						$jellemzes .= "<tr>\n";
						$jellemzes .= "<td align='left'>".$h_stabilitasa[0]."</td>\n";
						$jellemzes .= "<td align='right' style='white-space:nowrap;'><b>".$h_stabilitasa[$hsc]."</b></td>\n";
						$jellemzes .= "</tr>\n";
						$jellemzes .= "<tr>\n";
						$jellemzes .= "<td align='left'>".$h_bolygoja[0]."</td>\n";
						$jellemzes .= "<td align='right' style='white-space:nowrap;'><b>".$h_bolygoja[$hsc]."</b></td>\n";
						$jellemzes .= "</tr>\n";
						$jellemzes .= "<tr>\n";
						$jellemzes .= "<td align='left'>".$h_polaritasa[0]."</td>\n";
						$jellemzes .= "<td align='right' style='white-space:nowrap;'><b>".$h_polaritasa[$hsc]."</b></td>\n";
						$jellemzes .= "</tr>\n";
						$jellemzes .= "</table>\n";

						#$bovebben = "<a class='".($Hscope['h_id'] == $ID ? "a_link" : "hide_img")."' href='".FUSION_SELF."?scope_more=".$Hscope['h_id']."' title=''><span class='scope_bov'>Bvebben...</span></a>";

						$bovebben = "";

						if ($ConHsc['hc_hscope'] == 1) {
							if (strlen($ConHsc['hc_fsize']) == 2) {
								if ($ConHsc['hc_fsize'] < 13 || $ConHsc['hc_fsize'] == 13) {
									$height = 80;
								} else
								if ($ConHsc['hc_fsize'] == 14) {
									$height = 90;
								} else
								if ($ConHsc['hc_fsize'] == 15) {
									$height = 110;
								} else
								if ($ConHsc['hc_fsize'] == 16) {
									$height = 120;
								} else
								if ($ConHsc['hc_fsize'] > 16 && $ConHsc['hc_fsize'] <= 18) {
									$height = 130;
								} else
								if ($ConHsc['hc_fsize'] > 18) {
									$height = 140;
								}
							} else {
								$height = 80;
							}
						} else
						if ($ConHsc['hc_hscope'] == 2) {
							if (strlen($ConHsc['hc_fsize']) == 2) {
								if ($ConHsc['hc_fsize'] < 13 || $ConHsc['hc_fsize'] == 13) {
									$height = 150;
								} else
								if ($ConHsc['hc_fsize'] == 14) {
									$height = 160;
								} else
								if ($ConHsc['hc_fsize'] == 15) {
									$height = 180;
								} else
								if ($ConHsc['hc_fsize'] == 16) {
									$height = 190;
								} else
								if ($ConHsc['hc_fsize'] > 16 && $ConHsc['hc_fsize'] <= 18) {
									$height = 200;
								} else
								if ($ConHsc['hc_fsize'] > 18) {
									$height = 210;
								}
							} else {
								$height = 150;
							}
						}

						echo "<td width='50%' align='center'>";
							echo ($counter % 2 == 0 ? $img_date."<iframe id='iframe_".$hscope_css[$hsc]."' src='http://www.bltfm.hu/infusions/horoszkop_inf_panel/iframe/scope.php?period=".$ConHsc['hc_hscope']."&amp;scope_id=".$hsc."&amp;fsize=".$ConHsc['hc_fsize']."&amp;color=".$ConHsc['hc_color']."' style='width:100%;height:".$height."px;margin-top:-8px;' frameborder='0' scrolling='auto'><p>Az n bngszje nem tmogatja az iframe-t.</p></iframe>" : $jellemzes.$bovebben);
						echo "</td>\n";
						echo "<td width='50%' align='center'>";
							echo ($counter % 2 == 0 ? $jellemzes.$bovebben : $img_date."<iframe id='iframe_".$hscope_css[$hsc]."' src='http://www.bltfm.hu/infusions/horoszkop_inf_panel/iframe/scope.php?period=".$ConHsc['hc_hscope']."&amp;scope_id=".$hsc."&amp;fsize=".$ConHsc['hc_fsize']."&amp;color=".$ConHsc['hc_color']."' style='width:100%;height:".$height."px;margin-top:-8px;' frameborder='0' scrolling='auto'><p>Az n bngszje nem tmogatja az iframe-t.</p></iframe>");
						echo "</td>\n";

						$hsc++; $counter++;

					}

					echo "</tr>\n";

					if ($ConHsc['hc_bux'] == 1) {
					echo "<tr>\n<td align='center' colspan='".$colspan."'>";
							echo "<a href='http://www.neobux.com/m/r/?rh=426174746C6543' target='_blank'><img src='http://images.neobux.com/imagens/banner8.gif' width='468' height='60' alt='' /></a>";
					echo "</td>\n</tr>\n";
					}

					echo "<tr>\n<td align='center' colspan='".$colspan."'>";
						echo "<div style='display: block; height: 3px; clear: both; visibility: hidden;'></div>\n";
						echo "<div style='width:100%;float:left;'>\n";
							echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
						echo "</div>\n";
						echo "<div style='display: block; height: 2px; clear: both; visibility: hidden;'></div>\n";
					echo "</td>\n</tr>\n";

				echo "</table>\n";

			} else
			if (isset($_GET['scope_more']) && isnum($_GET['scope_more'])) {
				echo "Bvebben, majd egyszer.";
			}

		} else {

			echo "<div style='display: block; height: 5px; clear: both; visibility: hidden;'></div>\n";
			echo "<table cellpadding='0' cellspacing='0' width='100%' class='scope_table'>\n";
				if ($ConHsc['hc_bux'] == 1) {
				echo "<tr>\n<td align='center'>";
					echo "<a href='http://www.neobux.com/m/r/?rh=426174746C6543' target='_blank'><img src='http://images.neobux.com/imagens/banner8.gif' width='468' height='60' alt='' /></a>";
				echo "</td>\n</tr>\n";
				}
				echo "<tr>\n<td align='center'>";
					echo "<div style='display: block; height: 5px; clear: both; visibility: hidden;'></div>\n";
					echo "<div style='width:100%;float:left;'>\n";
						echo "<div style='float:center;'>Ez a rsz csak ".getgroupname($ConHsc['hc_access'])." szmra rhet el.</div>\n";
						echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
					echo "</div>\n";
					echo "<div style='display: block; height: 2px; clear: both; visibility: hidden;'></div>\n";
				echo "</td>\n</tr>\n";
			echo "</table>\n";

		}

	} else {

		echo "<div style='display: block; height: 5px; clear: both; visibility: hidden;'></div>\n";
		echo "<table cellpadding='0' cellspacing='0' width='100%' class='scope_table'>\n";
			if ($ConHsc['hc_bux'] == 1) {
			echo "<tr>\n<td align='center'>";
				echo "<a href='http://www.neobux.com/m/r/?rh=426174746C6543' target='_blank'><img src='http://images.neobux.com/imagens/banner8.gif' width='468' height='60' alt='' /></a>";
			echo "</td>\n</tr>\n";
			}
			echo "<tr>\n<td align='center'>";
				echo "<div style='display: block; height: 5px; clear: both; visibility: hidden;'></div>\n";
				echo "<div style='width:100%;float:left;'>\n";
					echo "<div style='float:center;'>Horoszkp jelenleg nem elrhet.</div>\n";
					echo "<div style='float:right;'>".BltfmCopyHsc()."</div>\n";
				echo "</div>\n";
				echo "<div style='display: block; height: 2px; clear: both; visibility: hidden;'></div>\n";
			echo "</td>\n</tr>\n";
		echo "</table>\n";

	}


closetable();

$top_js  = "<script type='text/javascript'>\n";
$top_js .= "/*<![CDATA[*/\n";
$top_js .= "jQuery(document).ready(function(){";
$top_js .= "jQuery('a[href=#top]').click(function(){";
$top_js .=	"jQuery('html, body').animate({scrollTop:0}, 'slow');";
$top_js .=	"return false;";
$top_js .= "});";
$top_js .= "});";
$top_js .= "\n/*]]>*/\n";
$top_js .= "</script>\n";
add_to_footer($top_js);
}

require_once THEMES."templates/footer.php";

?>