<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Title: Horoszkp Inf
| Version: 1.00
| CVS Version: 7.02.xx
| Author: Mathias
| Web: http://www.bltfm.hu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal
| of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."horoszkop_inf_panel/infusion_db.php";


if (file_exists(INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."horoszkop_inf_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."horoszkop_inf_panel/locale/Hungarian.php";
}


$inf_title = $locale['inf_00'];
$inf_description = $locale['inf_01'];
$inf_version = "1.00";
$inf_developer = $locale['inf_03'];
$inf_email = $locale['inf_04'];
$inf_weburl = $locale['inf_05'];

$inf_folder = "horoszkop_inf_panel";


$inf_newtable[1] = DB_HOROSZKOP_CONFIG." (
		hc_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
		hc_active tinyint(1) unsigned NOT NULL default '1',
		hc_hscope tinyint(1) unsigned NOT NULL default '1',
		hc_color varchar(6) NOT NULL default '555555',
		hc_fsize tinyint(2) unsigned NOT NULL default '13',
		hc_access tinyint(3) unsigned NOT NULL default '0',
		hc_menu tinyint(2) unsigned NOT NULL default '12',
		hc_img tinyint(1) unsigned NOT NULL default '0',
		hc_view INT(10) unsigned NOT NULL default '0',
		hc_up INT(10) unsigned NOT NULL default '0',
		hc_up_w INT(10) unsigned NOT NULL default '0',
		hc_bux tinyint(1) unsigned NOT NULL default '1',
		PRIMARY KEY (hc_id)
	) ENGINE=MyISAM;";

$inf_newtable[2] = DB_HOROSZKOP_SETTINGS." (
		hs_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
		licenc tinyint(1) unsigned NOT NULL default '0',
		info tinyint(1) unsigned NOT NULL default '0',
		ver varchar(5) default '1.00',
		PRIMARY KEY (hs_id)
	) ENGINE=MyISAM;";


$inf_insertdbrow[1] = DB_HOROSZKOP_CONFIG." (hc_active, hc_hscope, hc_color, hc_fsize, hc_access, hc_menu, hc_img, hc_view, hc_up, hc_up_w, hc_bux) VALUES ('1', '1', '555555', '13', '0', '12', '0', '0', '0', '0', '1')";

$inf_insertdbrow[2] = DB_HOROSZKOP_SETTINGS." (licenc, info, ver) VALUES ('0', '0', '1.00')";


$inf_droptable[1] = DB_HOROSZKOP_CONFIG;
$inf_droptable[2] = DB_HOROSZKOP_SETTINGS;


$inf_adminpanel[1] = array(
	"title" => $locale['inf_00'],
	"image" => "horoszkop.png",
	"panel" => "admin/admin.php",
	"rights" => "CPOE"
);

$inf_sitelink[1] = array(
	"title" => "Horoszkp",
	"url" => "horoszkop.php",
	"visibility" => "0"
);

?>